@view-transition{
    navigation: auto;
}

h2{
    color: #00d3f2;
    font-size: 2em;
}

h1 {
    font-size: 3em;
}

body{
    background-color: rgb(16, 23, 39);;
    background: linear-gradient(45deg, rgb(16, 23, 39), rgb(5, 16, 39));
    color: white;
    margin: 0px;
    padding: 0px;
    width: 100vw;
    overflow-x: hidden;
    scrollbar-width: thin;
}

body>*{
    background-color: rgb(16, 23, 39);;
}

.splash_logo{
    width: 100dvw;
    height: 100dvh;
    display: grid;
    justify-content: center;
    place-items: center;
    background: radial-gradient(#000049, black);
    background-image: url("/images/gdj-seamless-2952534.svg");
    background-blend-mode: color;
    background-color: #000049;
}

.logoszoveg path{
    stroke: #00ffff;
    stroke-dasharray: 500;
    stroke-dashoffset: 500;
    animation: dash 1.5s linear forwards, filling 1.5s ease-in forwards;
}
#path81199{
    animation: dash 1.5s linear forwards, filling_dark 1.5s ease-in forwards;
}

.logoszoveg{
    filter: none;
    animation: slowglow 5s linear forwards;
}

@keyframes slowglow{
    0% {filter: drop-shadow(0px 0px 0px lightblue);}
    100% {filter: drop-shadow(0px 0px 10px lightblue);}
}

@keyframes dash {
    to {stroke-dashoffset: 0;}
}

@keyframes filling {
    0%, 50% {fill: rgb(158, 232, 247); fill-opacity: 0;}
    100% {fill: rgb(158, 232, 247); fill-opacity: 1;}
}

@keyframes filling_dark{
    0%, 50% {fill: #011d36ff; fill-opacity: 0;}
    100% {fill: #011d36ff; fill-opacity: 1;}
}

@keyframes topfloatin{
    0% {top: -100%}
    100% {top: 0}
}

.fade-left, .fade-right {
    opacity: 0;
    transform: translateX(80px);
    transition: all 0.8s ease-out;
}

.fade-left {
    transform: translateX(-80px);
}

.fade-left.show,
.fade-right.show {
    opacity: 1;
    transform: translateX(0);
}

.page_part::before {
    background-color: rgba(100, 100, 100, 0.2);
    width: 80%;
    content: '';
    position: absolute;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);
    top: 0;
}

.page_part{
    min-height: 100dvh;
    width: 99%;
    display: grid;
    justify-content: center;
    align-content: center;
    overflow: hidden;
    margin: 0px;
    box-shadow: inset -5px -5px 6px black;
    border-bottom: 2px solid #545353;
    grid-row-gap: 10vh;
    position: relative;
}

body>div{
    background-color: rgb(26, 39, 67);
    background: linear-gradient(45deg, rgb(0, 14, 43), rgb(25, 32, 47));
}

body>div:nth-child(even){
    background-color: rgb(26, 39, 67);
    background: linear-gradient(45deg, rgb(26, 39, 67), rgb(5, 16, 39));
}

.roundcard{
    background: rgb(10, 10, 40);
    border: 1px solid darkgray;
    border-radius: 1.5em;
    padding: 1em;
    width: fit-content;
    box-shadow: 3px 3px 32px black;
}

.smallinfo {
    max-width: 40dvw;
    margin: 2em;
    height: fit-content;
    display: grid;
    grid-row-gap: 5vh;
}

button{
    background: rgba(64, 64, 64, 0.25);
    border: 1px solid cyan;
    border-radius: 1.5em;
    padding: 1em;
    width: fit-content;
    box-shadow: 3px 3px 6px lightblue;
    color: white;
    transition: all 0.5s ease;
}

button:hover{
    background-color: lightblue;
    color: black;
}

.fomenu {
    width: 100%;
    background: linear-gradient(90deg, rgb(12, 35, 57) 0%, rgb(23, 50, 77) 38%, rgb(26, 29, 32) 100%);
    border-radius: 0;
    height: 4em;
    position: fixed;
    left: 0px;
    top: -100%;
    display: grid;
    align-items: center;
    justify-content: center;
    z-index: 2;
    border-bottom: 2px solid gray;
    animation: topfloatin 1.5s linear forwards;
    /*animation-delay: 1.5s;*/
}

.lanasmall {
    max-height: 2.5em;
    filter: drop-shadow(0px 0px 5px aqua);
    margin-right: 0.5em;
}

.splash_logo path{
    transition: all 0.25s ease;
}

.noback::before{
    background: inherit;
    width: 0px;
    content: inherit;
    position: absolute;
    height: 0px;
    left: 0;
    transform: none;
    top: 0;
}

.splash_logo path:hover {
  fill: rgb(0, 117, 117) !important;
}

.triplegrid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 2em;
    justify-content: center;
    align-items: center;
}

#svg847 {
    width: 80vw;
}

.m_card{
    height: 60dvh;
}

.twincard{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5vw;
    max-width: 70dvw;
}

.profcard{
    width: 20vh;
    margin: 1em;
    margin-left: auto;
    margin-right: auto;
    display: block;
}